# DaprTimeoutInterceptor (dapr-sdk-parent 1.14.1 API)
declaration: package: io.dapr.internal.grpc.interceptors, class: DaprTimeoutInterceptor

Package io.dapr.internal.grpc.interceptors

# Class DaprTimeoutInterceptor

java.lang.Object
io.dapr.internal.grpc.interceptors.DaprTimeoutInterceptor

All Implemented Interfaces:
  `io.grpc.ClientInterceptor`

public class DaprTimeoutInterceptor extends Object implements io.grpc.ClientInterceptor
Class to be used as part of your service's client stub interceptor to include timeout.

## Constructor Summary

Constructors
Constructor
Description
`DaprTimeoutInterceptor(TimeoutPolicy timeoutPolicy)`

## Method Summary

Modifier and Type
Method
Description
`<ReqT, RespT>
io.grpc.ClientCall<ReqT,RespT>`
`interceptCall(io.grpc.MethodDescriptor<ReqT,RespT> methodDescriptor, io.grpc.CallOptions options, io.grpc.Channel channel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DaprTimeoutInterceptor

public DaprTimeoutInterceptor(TimeoutPolicy timeoutPolicy)

## Method Details

### interceptCall

public <ReqT, RespT> io.grpc.ClientCall<ReqT,RespT> interceptCall(io.grpc.MethodDescriptor<ReqT,RespT> methodDescriptor, io.grpc.CallOptions options, io.grpc.Channel channel)

Specified by:
  `interceptCall` in interface `io.grpc.ClientInterceptor`